[arch-commits] Commit in grep/repos (6 files)

Allan McRae allan at archlinux.org
Fri Mar 2 06:04:19 EST 2012


    Date: Friday, March 2, 2012 @ 06:04:18
  Author: allan
Revision: 151764

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  grep/repos/testing-i686/
  grep/repos/testing-i686/PKGBUILD
    (from rev 151763, grep/trunk/PKGBUILD)
  grep/repos/testing-i686/grep.install
    (from rev 151763, grep/trunk/grep.install)
  grep/repos/testing-x86_64/
  grep/repos/testing-x86_64/PKGBUILD
    (from rev 151763, grep/trunk/PKGBUILD)
  grep/repos/testing-x86_64/grep.install
    (from rev 151763, grep/trunk/grep.install)

-----------------------------+
 testing-i686/PKGBUILD       |   37 +++++++++++++++++++++++++++++++++++++
 testing-i686/grep.install   |   21 +++++++++++++++++++++
 testing-x86_64/PKGBUILD     |   37 +++++++++++++++++++++++++++++++++++++
 testing-x86_64/grep.install |   21 +++++++++++++++++++++
 4 files changed, 116 insertions(+)

Copied: grep/repos/testing-i686/PKGBUILD (from rev 151763, grep/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-03-02 11:04:18 UTC (rev 151764)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=grep
+pkgver=2.11
+pkgrel=1
+pkgdesc="A string search utility"
+arch=('i686' 'x86_64')
+license=('GPL3')
+url="http://www.gnu.org/software/grep/grep.html"
+groups=('base')
+depends=('glibc' 'pcre' 'sh')
+makedepends=('texinfo')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('ad9c6dbdeab93e50d2bc380f10ed3643'
+         'e4fea5e355973c951f93f48bc86f92fa')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  
+  install -dm755 ${pkgdir}/bin
+  ln -s /usr/bin/grep ${pkgdir}/bin/grep
+}

Copied: grep/repos/testing-i686/grep.install (from rev 151763, grep/trunk/grep.install)
===================================================================
--- testing-i686/grep.install	                        (rev 0)
+++ testing-i686/grep.install	2012-03-02 11:04:18 UTC (rev 151764)
@@ -0,0 +1,21 @@
+infodir=usr/share/info
+filelist=(grep.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+

Copied: grep/repos/testing-x86_64/PKGBUILD (from rev 151763, grep/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-03-02 11:04:18 UTC (rev 151764)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=grep
+pkgver=2.11
+pkgrel=1
+pkgdesc="A string search utility"
+arch=('i686' 'x86_64')
+license=('GPL3')
+url="http://www.gnu.org/software/grep/grep.html"
+groups=('base')
+depends=('glibc' 'pcre' 'sh')
+makedepends=('texinfo')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('ad9c6dbdeab93e50d2bc380f10ed3643'
+         'e4fea5e355973c951f93f48bc86f92fa')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  
+  install -dm755 ${pkgdir}/bin
+  ln -s /usr/bin/grep ${pkgdir}/bin/grep
+}

Copied: grep/repos/testing-x86_64/grep.install (from rev 151763, grep/trunk/grep.install)
===================================================================
--- testing-x86_64/grep.install	                        (rev 0)
+++ testing-x86_64/grep.install	2012-03-02 11:04:18 UTC (rev 151764)
@@ -0,0 +1,21 @@
+infodir=usr/share/info
+filelist=(grep.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+



More information about the arch-commits mailing list